<template>
	<el-dialog v-model="dialogVisible" :fullscreen="full" title="记录" width="50%" draggable>
		<el-button @click="toggleFullscreen" size="small" class="pot" :icon="FullScreen"></el-button>
		<el-table :data="tableData" style="width: 100%">
			<el-table-column align="center" label="序号" type="index" width="80" />
			<el-table-column align="center" prop="dutyDepartmentId" label="责任部门" />
			<el-table-column align="center" prop="value" label="考核指标" />
			<el-table-column align="center" prop="makerDepartmentId" label="制定部门" />
			<el-table-column align="center" prop="makeDate" label="制定日期" />
			<el-table-column align="center" prop="value" label="检查值" />
			<el-table-column align="center" prop="commitPersonId" label="检查人" />
			<el-table-column align="center" prop="makeDate" label="检查时间" />
		</el-table>
		<template #footer>
			<span class="dialog-footer">
				<el-button @click="dialogVisible = false">关闭</el-button>
				<el-button type="primary" @click="dialogVisible = false">确定</el-button>
			</span>
		</template>
	</el-dialog>
</template>
<script lang="ts">
import { defineComponent, reactive, ref } from 'vue';
import { FullScreen } from '@element-plus/icons-vue';
export default defineComponent({
	setup() {
		const dialogVisible = ref(false);
		const tableData = ref();
		const openDailog = (data: any) => {
			dialogVisible.value = true;
			// console.log(data)
			tableData.value = data;
		};
		//全屏
		const full = ref(false);
		const toggleFullscreen = () => {
			if (full.value == false) {
				full.value = true;
			} else {
				full.value = false;
			}
		};
		return {
			dialogVisible,
			tableData,
			openDailog,
			full,
			toggleFullscreen,
			FullScreen,
		};
	},
});
</script>
